import java.rmi.*;
import java.util.*;
import java.rmi.server.*;

public class ComputingServerImpl extends UnicastRemoteObject implements ComputingServer
{	private HashMap servizi;

	public ComputingServerImpl() throws RemoteException
	{	super();
		servizi=new HashMap();
	}

	public Vector serviziOfferti()
	{	return new Vector(servizi.keySet());
	}

	public Object invocaServizio(String nomeServizio,Object parametro)
	{	if(servizi.containsKey(nomeServizio))
			return new Integer(nomeServizio.hashCode());
		else
			return new Integer(-1);
	}

	public void aggiungiServizio(Servizio s)
	{	servizi.put(s.getNome(),s);
	}
}